### Function

# GObject signal_type_cclosure_new

#### Declaration

    GClosure*
    g_signal_type_cclosure_new (
      GType itype,
      guint struct_offset
    )

#### Description

Creates a new closure which invokes the function found at the offset `struct_offset` in the class structure of the interface or classed type identified by `itype`.

#### Parameters

`itype`

  Type: `GType`

  The `GType` identifier of an interface or classed type.

`struct_offset`

  Type: `guint`

  The offset of the member function of `itype`‘s class structure which is to be invoked by the new closure.

#### Return value

Type: `GClosure`

A floating reference to a new `GCClosure`.

The data is owned by the called function.